Bug 36276

Summary: CSS3 :not selector with ID simple selector sequence test fails
Product: WebKit Reporter: Simon Fraser (smfr) <simon.fraser>
Component: CSSAssignee: Yuzo Fujishima <yuzo>
Status: RESOLVED FIXED    
Severity: Normal CC: hyatt, tkent, webkit.review.bot, yuzo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: OS X 10.5   
URL: http://samples.msdn.microsoft.com/ietestcenter/css3/selectors/notSelectorSequence.htm
Attachments:
Description Flags
Fix bug: :not() must not accept simple selector sequence.
none
Second trial. Now all tests, including svg ones, passes. darin: review+

Description Simon Fraser (smfr) 2010-03-17 20:21:39 PDT
This test fails:
http://samples.msdn.microsoft.com/ietestcenter/css3/selectors/notSelectorSequence.htm
Comment 1 Yuzo Fujishima 2010-04-01 05:20:42 PDT
Created attachment 52287 [details]
Fix bug: :not() must not accept simple selector sequence.
Comment 2 Dave Hyatt 2010-04-01 11:15:34 PDT
Comment on attachment 52287 [details]
Fix bug: :not() must not accept simple selector sequence.

Please rename numCondition to numConditions.

r=me
Comment 3 Yuzo Fujishima 2010-04-01 18:37:55 PDT
Committed r56959: <http://trac.webkit.org/changeset/56959>
Comment 4 WebKit Review Bot 2010-04-01 19:14:47 PDT
http://trac.webkit.org/changeset/56959 might have broken Leopard Intel Release (Tests)
Comment 5 Kent Tamura 2010-04-01 20:13:16 PDT
Rolled r56959 our.
Comment 6 Kent Tamura 2010-04-01 20:13:54 PDT
(In reply to comment #5)
> Rolled r56959 our.

our -> out :-)
Comment 7 Simon Fraser (smfr) 2010-04-01 22:04:37 PDT
Which tests failed?
Comment 8 Kent Tamura 2010-04-01 22:09:55 PDT
(In reply to comment #7)
> Which tests failed?

http://build.webkit.org/builders/Leopard%20Intel%20Release%20%28Tests%29/builds/12483/steps/layout-test/logs/stdio
http://build.webkit.org/builders/Leopard%20Intel%20Debug%20%28Tests%29/builds/12307/steps/layout-test/logs/stdio

svg/W3C-SVG-1.1/coords-units-01-b.svg -> failed
svg/W3C-SVG-1.1/pservers-pattern-01-b.svg -> failed
svg/batik/paints/patternPreserveAspectRatioA.svg -> failed
svg/batik/paints/patternRegionA.svg -> failed
svg/batik/paints/patternRegions.svg -> failed
svg/custom/deep-dynamic-updates.svg -> failed
svg/custom/pattern-cycle-detection.svg -> failed
svg/custom/pattern-deep-referencing.svg -> failed
svg/custom/pattern-with-transformation.svg -> failed
svg/custom/pattern-y-offset.svg -> failed
svg/custom/use-on-symbol-inside-pattern.svg -> failed
Comment 9 Yuzo Fujishima 2010-04-02 00:32:24 PDT
Created attachment 52396 [details]
Second trial. Now all tests, including svg ones, passes.
Comment 10 Yuzo Fujishima 2010-04-02 00:41:40 PDT
Sorry for the test breakage.

CSSSelector::hasTag() behaves differently from my expectation if namespace is set.
Fixed bool CSSSelector::isSimple() const accordingly.

The second patch passes all tests.

Can you take another look?
Comment 11 Yuzo Fujishima 2010-04-06 11:56:46 PDT
Committed r57161: <http://trac.webkit.org/changeset/57161>
Comment 12 Yuzo Fujishima 2010-04-08 15:06:06 PDT
Committed r57295: <http://trac.webkit.org/changeset/57295>
Comment 13 Yuzo Fujishima 2010-04-08 15:10:44 PDT
r57161 contains the main part of the change.
r57295 contains the test accidentally dropped from r57161.

Sorry for the mistake.
Comment 14 Yuzo Fujishima 2010-04-08 15:19:10 PDT
Committed r57298: <http://trac.webkit.org/changeset/57298>
Comment 15 Yuzo Fujishima 2010-04-08 15:22:57 PDT
Sorry again. (Now I know why the files were dropped.)

r57161 contains the main part of the change.
r57295 almost empty
r57298 contains the test accidentally dropped from r57161.